Index: Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/Makefile,v
retrieving revision 1.199
diff -u -r1.199 Makefile
--- Makefile	30 Aug 2005 18:32:09 -0000	1.199
+++ Makefile	31 Aug 2005 04:11:50 -0000
@@ -283,20 +283,32 @@
 CFLAGS+= -fomit-frame-pointer 
 SUBDIRS=res channels pbx apps codecs formats agi cdr funcs utils stdtime
 
-ifeq (${OSARCH},Linux)
-  LIBS=-ldl -lpthread
-endif
-
-LIBS+=-lncurses -lm
+OBJS=io.o sched.o logger.o frame.o loader.o config.o channel.o \
+	translate.o file.o say.o pbx.o cli.o md5.o term.o \
+	ulaw.o alaw.o callerid.o fskmodem.o image.o app.o \
+	cdr.o tdd.o acl.o rtp.o manager.o asterisk.o \
+	dsp.o chanvars.o indications.o autoservice.o db.o privacy.o \
+	astmm.o enum.o srv.o dns.o aescrypt.o aestab.o aeskey.o \
+	utils.o plc.o jitterbuf.o dnsmgr.o devicestate.o \
+	netsock.o slinfactory.o ast_expr2.o ast_expr2f.o
 
 ifeq (${OSARCH},Linux)
-  LIBS+=-lresolv  #-lnjamd
+  LIBS=-ldl -lpthread -lncurses -lm -lresolv  #-lnjamd
+else
+  LIBS+=-lncurses -lm
 endif
 
 ifeq (${OSARCH},Darwin)
   LIBS+=-lresolv
   CFLAGS+=-D__Darwin__
   AUDIO_LIBS=-framework CoreAudio
+  OBJS+=poll.o dlfcn.o
+  ASTLINK=-Wl,-dynamic
+  SOLINK=-dynamic -bundle -undefined suppress -force_flat_namespace
+else
+#These are used for all but Darwin
+  ASTLINK=-Wl,-E 
+  SOLINK=-shared -Xlinker -x
 endif
 
 ifeq (${OSARCH},FreeBSD)
@@ -313,34 +325,13 @@
 
 ifeq (${OSARCH},SunOS)
   LIBS+=-lpthread -ldl -lnsl -lsocket -lresolv -L$(CROSS_COMPILE_TARGET)/usr/local/ssl/lib
-endif
-
-LIBS+=-lssl
-
-OBJS=io.o sched.o logger.o frame.o loader.o config.o channel.o \
-	translate.o file.o say.o pbx.o cli.o md5.o term.o \
-	ulaw.o alaw.o callerid.o fskmodem.o image.o app.o \
-	cdr.o tdd.o acl.o rtp.o manager.o asterisk.o \
-	dsp.o chanvars.o indications.o autoservice.o db.o privacy.o \
-	astmm.o enum.o srv.o dns.o aescrypt.o aestab.o aeskey.o \
-	utils.o plc.o jitterbuf.o dnsmgr.o devicestate.o \
-	netsock.o slinfactory.o ast_expr2.o ast_expr2f.o
-
-ifeq (${OSARCH},Darwin)
-  OBJS+=poll.o dlfcn.o
-  ASTLINK=-Wl,-dynamic
-  SOLINK=-dynamic -bundle -undefined suppress -force_flat_namespace
-else
-  ASTLINK=-Wl,-E 
-  SOLINK=-shared -Xlinker -x
-endif
-
-ifeq (${OSARCH},SunOS)
   OBJS+=strcompat.o
   ASTLINK=
   SOLINK=-shared -fpic -L$(CROSS_COMPILE_TARGET)/usr/local/ssl/lib
 endif
 
+LIBS+=-lssl
+
 INSTALL=install
 
 _all: all
@@ -883,3 +874,4 @@
 	else \
 		echo "No such patch $(PATCH) in patches directory"; \
 	fi
+
